Bug 1415270 - [RFE] katello-backup shuts down satellite without prompting user [NEEDINFO]
Summary: [RFE] katello-backup shuts down satellite without prompting user
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Backup & Restore
Version: 6.2.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Unspecified
Assignee: Christine Fouant
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 17:27 UTC by Chris Duryee
Modified: 2021-03-11 14:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-19 14:36:39 UTC
Target Upstream Version:
jcallaha: needinfo? (cfouant)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 18328 0 None None None 2017-01-31 20:50:47 UTC

Description Chris Duryee 2017-01-20 17:27:40 UTC
Description of problem:

Katello-backup will shut down the satellite without prompting the user first. This can have serious consequences if the user does not know ahead of time that the satellite will be shut down during the backup.

Note that there is a --online-backup option, but it applies only to the Pulp portion. This should likely be renamed to --online-pulp-backup to avoid confusion.

Ideally, katello-backup would prompt the user before commencing the backup that there will be a shutdown, and have a command-line option to optionally skip the prompt (for example, --ok-to-shutdown or similar).


Version-Release number of selected component (if applicable): 6.2.6

Comment 2 Mike McCune 2017-01-20 18:22:15 UTC
The latest version from upstream properly keeps services online:

# ./katello-backup --skip-pulp-content --online-backup /var/tmp
Starting backup: 2017-01-20 13:15:09 -0500
Creating backup folder /var/tmp/katello-backup-2017-01-20T13:15:09-05:00
Backing up config files... 
tar: Removing leading `/' from member names
Done.
Backing up postgres db... 
Done.
Backing up mongo db... 
Done.
Done with backup: 2017-01-20 13:21:53 -0500
**** BACKUP Complete, contents can be found in: /var/tmp/katello-backup-2017-01-20T13:15:09-05:00 ****


but we still need a confirm flag.

Comment 4 Christine Fouant 2017-01-31 20:50:45 UTC
Created redmine issue http://projects.theforeman.org/issues/18328 from this bug

Comment 5 pm-sat@redhat.com 2017-07-10 20:17:25 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18328 has been resolved.

Comment 8 Lai 2018-09-19 14:36:39 UTC
katello-backup does provide the message that it's being replaced by foreman-maintain backup as seen below:

-bash-4.2# katello-backup --skip-pulp-content --online-backup /var/tmp

IMPORTANT: katello-backup has been removed in favor of 'foreman-maintain backup'.
This change happened in order to support remote databases and a newer mongo version.
Please update your scripts and/or cron jobs.



Ran foreman-mantain backup and successfully backed up system with both online and offline options as seen below:

Done with backup: 2018-09-19 10:28:27 -0400
**** BACKUP Complete, contents can be found in: /var/tmp/satellite-backup-2018-09-19-10-24-58 ****

Marking this as


Note You need to log in before you can comment on or make changes to this bug.